Zum Inhalt springen
scango.ch
Deutsch
Esc
navigierenöffnen⌘JVorschau

Bestellung per ID abrufen

Bestellung anhand der ID abrufen, inklusive Positionen.

GET/orders/{orderId}
Autorisierung
AutorisierungBearer-Token (API key) · headererforderlich
Organisations-API-Key.
Pfadparameter
orderIdstringerforderlich
Antworten
200Bestelldetails
dataOrdererforderlich
Bestellung. Daten sind ISO-8601. Geldfelder sind Ganzzahlen in Rappen.
Eigenschaften anzeigen
idstring
ID
orderIdstring
orderDatestring<date-time>
transactionDatestring<date-time>
paymentMethodstring
paymentStatestring
Erlaubt:successfulcancelledtimeoutfailedpending
paymentBrandstring
priceinteger
Bestelltotal in Rappen
storestring
Store-ID
transactionMessagestring
giftcardIdstring
giftcardFunctionstring
deletedboolean
productsOrderLine[]
Eigenschaften anzeigen
Array of OrderLine
productIdstring
titlestring
priceinteger
Positionstotal in Rappen.
netPriceinteger
Nettobetrag in Rappen.
depositinteger
Depot in Rappen.
costPriceinteger
quantitynumber
weightnumber
supplierstring
categorystring
taxinteger
Steuerbetrag in Rappen.
taxRatenumber
typestring
z. B. product, coupon, giftcard.
imageUrlstring
originalProductIdstring
originalPriceinteger
discountnumber
undiscountedPriceinteger
storestring
printTicketboolean
flagsany
Vorhanden bei Abruf per ID.
resolutionany
Optional; vorhanden bei Abruf per ID.
403Nicht autorisiert
statusCodeintegererforderlich
HTTP-Statuscode
messagestringerforderlich
Lesbare Fehlermeldung
timestampstring<date-time>erforderlich
pathstringerforderlich
Request-Pfad
404Not found
statusCodeintegererforderlich
HTTP-Statuscode
messagestringerforderlich
Lesbare Fehlermeldung
timestampstring<date-time>erforderlich
pathstringerforderlich
Request-Pfad
Anfrage
curl -X GET "https://dashboard.scango.ch/api/v1/orders/string" \
  -H "Authorization: Bearer YOUR_TOKEN"
Antwort
{
  "data": {
    "id": "string",
    "orderId": "string",
    "orderDate": "2024-01-01T00:00:00Z",
    "transactionDate": "2024-01-01T00:00:00Z",
    "paymentMethod": "string",
    "paymentState": "successful",
    "paymentBrand": "string",
    "price": 0,
    "store": "string",
    "transactionMessage": "string",
    "giftcardId": "string",
    "giftcardFunction": "string",
    "deleted": true,
    "products": [
      {
        "productId": "string",
        "title": "string",
        "price": 0,
        "netPrice": 0,
        "deposit": 0,
        "costPrice": 0,
        "quantity": 0,
        "weight": 0,
        "supplier": "string",
        "category": "string",
        "tax": 0,
        "taxRate": 0,
        "type": "string",
        "imageUrl": "string",
        "originalProductId": "string",
        "originalPrice": 0,
        "discount": 0,
        "undiscountedPrice": 0,
        "store": "string",
        "printTicket": true
      }
    ],
    "flags": "string",
    "resolution": "string"
  }
}